## jenkins-job-builder 0.9.0

=== requirements.txt ===
argparse
ordereddict
PyYAML
python-jenkins
pbr>=0.8.2,<1.0

## jenkins-job-builder 0.4.0

=== debian/changelog ===
jenkins-job-builder (0.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches: Add upstream fixes for packaging
    - 0001-Documentation-fixes-to-make-Sphinx-happy.patch
    - 0002-Remove-setuptools-git-from-setup.py.patch
  * debian/control:
    - Bump Standards-Version to 3.9.4
    - Remove Build-Depends on python3-sphinx (Closes: 697787)

 -- Paul Belanger <paul.belanger@polybeacon.com>  Wed, 30 Jan 2013 20:38:28 -0500

jenkins-job-builder (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #693145)

 -- Paul Belanger <paul.belanger@polybeacon.com>  Tue, 20 Nov 2012 16:07:22 -0500

=== debian/control ===
Source: jenkins-job-builder
Maintainer: Paul Belanger <paul.belanger@polybeacon.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
 python-all (>= 2.6.6-3),
 python-jenkins,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python-yaml
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: http://ci.openstack.org/jenkins-job-builder
Vcs-Git: git://github.com/pabelanger/jenkins-job-builder-deb.git
Vcs-Browser: https://github.com/pabelanger/jenkins-job-builder-deb

Package: jenkins-job-builder
Architecture: all
Depends: libjs-jquery,
 libjs-underscore,
 python-jenkins,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Description: Configure Jenkins using YAML files
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html man BUILDDIR=$(CURDIR)/build/docs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.egg*

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/jenkins-job-builder

override_dh_install:
	dh_install
	mv debian/jenkins-job-builder/usr/bin/jenkins-jobs \
		debian/jenkins-job-builder/usr/share/jenkins-job-builder
	dh_link /usr/share/jenkins-job-builder/jenkins-jobs /usr/bin/jenkins-jobs

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

get-orig-source:
	uscan --noconf --force-download --rename --repack --destdir=.

## jenkins-job-builder 0.5.0

=== debian/changelog ===
jenkins-job-builder (0.5.0-2) unstable; urgency=medium

  * Move creation of /usr/bin/jenkins-jobs symlink from debian/rules to
    .link file.  Closes: #728585.  Thanks to Felix Geyer for the patch. 
  * Add missing dependency on python-pkg-resources.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 26 Mar 2014 11:21:55 +0100

jenkins-job-builder (0.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #718126)
  * debian/patches: Merged upstream
    - 0001-Documentation-fixes-to-make-Sphinx-happy.patch
    - 0002-Remove-setuptools-git-from-setup.py.patch
  * debian/patches: Add upstream fixes for packaging
    - 0001-Fixing-documentation.patch

 -- Paul Belanger <paul.belanger@polybeacon.com>  Sun, 28 Jul 2013 10:32:09 -0400

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  libjs-underscore,
  python-jenkins,
  python-yaml,
+ python-pkg-resources,
  ${misc:Depends},
  ${python:Depends},
  ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 	dh_install
 	mv debian/jenkins-job-builder/usr/bin/jenkins-jobs \
 		debian/jenkins-job-builder/usr/share/jenkins-job-builder
-	dh_link /usr/share/jenkins-job-builder/jenkins-jobs /usr/bin/jenkins-jobs
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog

## jenkins-job-builder 0.8.1

=== debian/changelog ===
jenkins-job-builder (0.8.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/patches:
    - drop authorization-property-add-extended-read-support.patch - merged
    - drop general-add-support-for-childCustomWorkspace.patch - merged
    - drop matrix-project-add-support-for-dynamic-axis.patch - merged
    - add 0002-general-add-support-for-childCustomWorkspace.patch
    - add 0005-builders-add-publish-over-ssh-support-as-a-build-ste.patch
  * debian/control: bump python-pbr build-dependency to 0.8.2

 -- Fathi Boudra <fabo@debian.org>  Sun, 15 Jun 2014 19:16:53 +0300

jenkins-job-builder (0.8.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #749819)
  * debian/patches:
    - drop Fix-doc-error-in-the-testng-publisher.patch
    - add authorization-property-add-extended-read-support.patch
    - add general-add-support-for-childCustomWorkspace.patch
    - add matrix-project-add-support-for-dynamic-axis.patch
  * debian/control: add python-pbr build-dependency.
  * debian/rules: export PBR_VERSION to workaround ftbfs caused by pbr.

 -- Fathi Boudra <fabo@debian.org>  Sat, 24 May 2014 14:37:28 +0300

jenkins-job-builder (0.7.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #736869)
  * debian/control: add python-sphinxcontrib-programoutput build dependency.
  * debian/patches:
    - drop 0001-Fixing-documentation.patch - stolen upstream
    - add Fix-doc-error-in-the-testng-publisher.patch - stolen upstream.
    - add workaround-programoutput.patch to fix programoutput usage
       doc/source/installation.rst:81:
       ERROR: Command u'jenkins-jobs --help' failed:
       [Errno 2] No such file or directory

 -- Fathi Boudra <fabo@debian.org>  Sun, 11 May 2014 10:34:52 +0300

## jenkins-job-builder 0.9.0

=== debian/changelog ===
jenkins-job-builder (0.9.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix deletion of jobs. (Closes: #773642)

 -- Michael Prokop <mika@debian.org>  Mon, 22 Dec 2014 13:42:13 +0100

jenkins-job-builder (0.9.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #763813)
  * Refresh debian/patches against new upstream version (thanks
    to Christian Hofstaedtler <zeha@debian.org> for reviewing).

 -- Michael Prokop <mika@debian.org>  Wed, 08 Oct 2014 00:51:26 +0200

=== debian/control ===
Source: jenkins-job-builder
Maintainer: Paul Belanger <paul.belanger@polybeacon.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3),
               python-jenkins,
               python-pbr (>= 0.8.2),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-sphinxcontrib-programoutput,
               python-yaml
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://ci.openstack.org/jenkins-job-builder
Vcs-Git: git://github.com/pabelanger/jenkins-job-builder-deb.git
Vcs-Browser: https://github.com/pabelanger/jenkins-job-builder-deb

Package: jenkins-job-builder
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         python-jenkins,
         python-pkg-resources,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: Configure Jenkins using YAML files
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# https://bugs.launchpad.net/openstack-ci/+bug/1322882
+export PBR_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
 
 %:
 	dh $@ --with python2,sphinxdoc

=== debian/watch ===
version=3
http://tarballs.openstack.org/jenkins-job-builder/jenkins-job-builder-(\d.\d.\d).tar.gz debian

## jenkins-job-builder 1.3.0%2B2015.12.15.git136.959eb4b909

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JenkinsJobBuilder.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JenkinsJobBuilder.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JenkinsJobBuilder"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JenkinsJobBuilder"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## jenkins-job-builder 1.3.0+2015.12.15.git136.959eb4b909

=== requirements.txt ===
ordereddict
six>=1.5.2
PyYAML
python-jenkins>=0.4.8
pbr>=0.8.2,<2.0

=== debian/changelog ===
jenkins-job-builder (1.3.0+2015.12.15.git136.959eb4b909-1) unstable; urgency=medium

  * New upstream release, based on commit 959eb4b909:
    - Fix AttributeError when updating jobs in Python 3 (Closes: #799277).
  * Refreshed patches.
  * Bumped python-jenkins (build-)depends to 0.4.11.
  * Disable 3 stupid tests which are breaking in my sbuild for Jessie:
    - tests.builder.test_builder.TestCaseTestBuilder.test_plugins_list
    - tests.builder.test_builder.TestCaseTestBuilder.test_plugins_list_from_jenkins
    - tests.localyaml.test_localyaml.TestCaseLocalYamlIncludeAnchors.test_multiple_same_anchor_in_multiple_toplevel_yaml

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2015 10:35:35 +0100

jenkins-job-builder (1.3.0-5) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:07:20 +0000

jenkins-job-builder (1.3.0-4) unstable; urgency=medium

  [ Fathi Boudra ]
  * Added myself as Uploader.

  [ Thomas Goirand ]
  * Fixed upgrade from testing by adding Breaks+Replaces (Closes: #799339).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 09:11:23 +0000

jenkins-job-builder (1.3.0-2) unstable; urgency=medium

  * Made package reproducible. Thanks to Reiner Herrmann <reiner@reiner-h.de>
    for his bug report and patch (Closes: #782472).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 09:43:44 +0000

jenkins-job-builder (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebased patches.
  * Added missing build-depends: python3-jenkins (>= 0.4.8)
  * Blacklist better the test_yaml_snippet test.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Aug 2015 07:32:04 +0000

jenkins-job-builder (1.2.0-1) unstable; urgency=medium

  * Taking over maintenance in the OpenStack PKG group:
    - Changed Maintainer: field, and added myself as Uploader.
    - Changed VCS fields.
  * New upstream release.
  * Fixed some of the debian/copyright (years, debian/* holders).
  * Fixed (build-)dependencies.
  * Now running unit tests at build time.
  * Removed useless X-Python-Version: >= 2.6.
  * Standards-Version is now 3.9.6.
  * Removed patched merged upstream:
    - 0002-general-add-support-for-childCustomWorkspace.patch
    - 0006-fix-delete-job-command-and-add-tests.patch
  * Rebased:
    - 0005-builders-add-publish-over-ssh-support-as-a-build-ste.patch
  * Removes ordereddict and argparse from requirements.txt

 -- Thomas Goirand <zigo@debian.org>  Sat, 22 Aug 2015 15:22:07 +0200

=== debian/control ===
Source: jenkins-job-builder
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Paul Belanger <paul.belanger@polybeacon.com>,
           Fathi Boudra <fabo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 0.8.2),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 0.8.2),
               python3-setuptools,
Build-Depends-Indep: python-fixtures,
                     python-jenkins (>= 0.4.11),
                     python-mock,
                     python-sphinxcontrib.programoutput,
                     python-testscenarios,
                     python-testtools,
                     python-yaml,
                     python3-fixtures,
                     python3-jenkins (>= 0.4.1),
                     python3-mock,
                     python3-testscenarios,
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: http://ci.openstack.org/jenkins-job-builder
Vcs-Git: git://github.com/pabelanger/jenkins-job-builder-deb.git
Vcs-Browser: https://github.com/pabelanger/jenkins-job-builder-deb

Package: python-jenkins-job-builder
Architecture: all
Depends: python-jenkins (>= 0.4.11),
         python-pbr (>= 0.8.2),
         python-pkg-resources,
         python-six,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: Configure Jenkins using YAML files - Python 2.7
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 This package contains the Python 2.7 module.

Package: python3-jenkins-job-builder
Architecture: all
Depends: python3-jenkins (>= 0.4.1),
         python3-pbr (>= 0.8.2),
         python3-pkg-resources,
         python3-six,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: Configure Jenkins using YAML files - Python 3.x
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 This package contains the Python 3.x module.

Package: jenkins-job-builder-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: jenkins-job-builder (<< 1.3.0)
Replaces: jenkins-job-builder (<< 1.3.0)
Description: Configure Jenkins using YAML files - doc
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 This package contains the documentation.

Package: jenkins-job-builder
Architecture: all
Depends: python-jenkins-job-builder (= ${binary:Version}) | python3-jenkins-job-builder (= ${binary:Version}),
         ${misc:Depends},
Description: Configure Jenkins using YAML files - metapackage
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 Metapackage to install the Python 2 or 3 version of jenkins-job-builder.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack-infra/jenkins-job-builder.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_clean:
	rm -rf doc/build build .testrepository

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
endif

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-jenkins-job-builder; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-jenkins-job-builder; \
	done
	mv $(CURDIR)/debian/python-jenkins-job-builder/usr/bin/jenkins-jobs $(CURDIR)/debian/python-jenkins-job-builder/usr/bin/python2-jenkins-job-builder
	mv $(CURDIR)/debian/python3-jenkins-job-builder/usr/bin/jenkins-jobs $(CURDIR)/debian/python3-jenkins-job-builder/usr/bin/python3-jenkins-job-builder
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth


override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/jenkins-job-builder

#	mv debian/jenkins-job-builder/usr/bin/jenkins-jobs \
#		debian/jenkins-job-builder/usr/share/jenkins-job-builder

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!(.*TestCaseModuleBuilders\.test_yaml_snippet.*|.*TestCaseModulePublishers\.test_yaml_snippet.*|.*builder\.test_builder\.TestCaseTestBuilder\.test_plugins_list.*|.*builder\.test_builder\.TestCaseTestBuilder\.test_plugins_list_from_jenkins.*|.*localyaml\.test_localyaml\.TestCaseLocalYamlIncludeAnchors\.test_multiple_same_anchor_in_multiple_toplevel_yaml.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source debian/jenkins-job-builder-doc/usr/share/doc/jenkins-job-builder-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## jenkins-job-builder 1.4.0

=== debian/changelog ===
jenkins-job-builder (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs.
  * Removed 0005-builders-add-publish-over-ssh-support-as-a-build-ste.patch
    (Closes: #806715)

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 3.9.7 (no change).
  * Added myself in debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2016 09:31:21 +0000

=== debian/control ===
--- 
+++ 
@@ -29,10 +29,10 @@
                      python3-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://ci.openstack.org/jenkins-job-builder
-Vcs-Git: git://github.com/pabelanger/jenkins-job-builder-deb.git
-Vcs-Browser: https://github.com/pabelanger/jenkins-job-builder-deb
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/jenkins-job-builder.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/jenkins-job-builder.git
 
 Package: python-jenkins-job-builder
 Architecture: all

## jenkins-job-builder 1.6.1

=== requirements.txt ===
six>=1.5.2
PyYAML
python-jenkins>=0.4.8
pbr>=1.0.0,<2.0

=== debian/changelog ===
jenkins-job-builder (1.6.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 27 May 2017 18:39:07 +0200

jenkins-job-builder (1.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Fathi Boudra ]
  * New upstream release (Closes: #834012).
  * Remove removes-deprecated-depends.patch - merged upstream.
  * Add builders-add-publish-over-ssh-support-as-a-build-step.patch
    'Publish over SSH' plugin is only supported in the publishers.
    It can also be used as a build step during the build process.
    https://review.openstack.org/#/c/98437/
  * Bump python-pbr (build-)depends from 0.8.2 to 1.0.0.

  [ Thomas Goirand ]
  * Build-Depends on openstack-pkg-tools >= 52~ and use its new facilities.
  * The binary for generating jobs is now /usr/bin/jenkins-jobs and not
    jenkins-job-builder, updating maintainer scripts (for update-alternatives)
    accordingly.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Aug 2016 10:59:59 +0000

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
            Fathi Boudra <fabo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 0.8.2),
+               python-pbr (>= 1.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 0.8.2),
+               python3-pbr (>= 1.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-fixtures,
                      python-jenkins (>= 0.4.11),
@@ -29,7 +29,7 @@
                      python3-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://ci.openstack.org/jenkins-job-builder
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/jenkins-job-builder.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/jenkins-job-builder.git
@@ -37,7 +37,7 @@
 Package: python-jenkins-job-builder
 Architecture: all
 Depends: python-jenkins (>= 0.4.11),
-         python-pbr (>= 0.8.2),
+         python-pbr (>= 1.0.0),
          python-pkg-resources,
          python-six,
          python-yaml,
@@ -56,7 +56,7 @@
 Package: python3-jenkins-job-builder
 Architecture: all
 Depends: python3-jenkins (>= 0.4.1),
-         python3-pbr (>= 0.8.2),
+         python3-pbr (>= 1.0.0),
          python3-pkg-resources,
          python3-six,
          python3-yaml,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-infra/jenkins-job-builder.git
include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_clean:
	rm -rf doc/build build .testrepository

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
endif

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'tests\.(?!(.*TestCaseModuleBuilders\.test_yaml_snippet.*|.*TestCaseModulePublishers\.test_yaml_snippet.*|.*builder\.test_builder\.TestCaseTestBuilder\.test_plugins_list.*|.*builder\.test_builder\.TestCaseTestBuilder\.test_plugins_list_from_jenkins.*|.*localyaml\.test_localyaml\.TestCaseLocalYamlIncludeAnchors\.test_multiple_same_anchor_in_multiple_toplevel_yaml.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source debian/jenkins-job-builder-doc/usr/share/doc/jenkins-job-builder-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## jenkins-job-builder 1.6.2

=== requirements.txt ===
six>=1.5.2
PyYAML
python-jenkins>=0.4.8
pbr>=1.0.0

=== debian/changelog ===
jenkins-job-builder (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixing VCS fields.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Aug 2017 22:38:39 +0200

=== debian/control ===
--- 
+++ 
@@ -31,8 +31,8 @@
                      testrepository,
 Standards-Version: 3.9.8
 Homepage: http://ci.openstack.org/jenkins-job-builder
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/jenkins-job-builder.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/jenkins-job-builder.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/zigo/jenkins-job-builder.git/
+Vcs-Git: https://anonscm.debian.org/git/users/zigo/jenkins-job-builder.git
 
 Package: python-jenkins-job-builder
 Architecture: all

## jenkins-job-builder 2.0.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.9.0 # MIT
PyYAML>=3.10.0 # MIT
pbr>=1.8 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
python-jenkins>=0.4.15
fasteners
Jinja2

=== debian/changelog ===
jenkins-job-builder (2.0.3-2) unstable; urgency=medium

  * Fixed update-alternative handling after Python 2 support removed:
    remove existing python2-jenkins-job alternative, and do not install
    any alternative at all (Closes: #895012).
  * Removed Breaks+Replaces and let users clean the old Python 2 package by
    themselves.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Apr 2018 10:52:53 +0000

jenkins-job-builder (2.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles
  * d/changelog: Remove trailing whitespaces

  [ David Rabel ]
  * Fix d/gbp.conf.

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased 0001-workaround-programoutput.patch.
  * Kill support for Python 2.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Apr 2018 12:39:30 +0000

jenkins-job-builder (2.0.0~b2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * Remove Fathi Boudra from Uploaders (Closes: #879305)

  [ Thomas Goirand ]
  * Run dh_clean (Closes: 884815).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Dec 2017 14:20:01 +0100

jenkins-job-builder (2.0.0~b2-1) experimental; urgency=medium

  * Updated VCS URLs.
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Fixed (build-)depends for this release.
  * Drop builders-add-publish-over-ssh-support-as-a-build-step.patch.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 11:20:29 +0200

=== debian/control ===
Source: jenkins-job-builder
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Paul Belanger <paul.belanger@polybeacon.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 75~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-fasteners,
 python3-fixtures,
 python3-jenkins (>= 0.4.15),
 python3-jinja2,
 python3-mock,
 python3-sphinxcontrib.programoutput,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Homepage: http://ci.openstack.org/jenkins-job-builder
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder.git

Package: jenkins-job-builder
Architecture: all
Depends:
 python3-jenkins-job-builder (= ${binary:Version}),
 ${misc:Depends},
Description: Configure Jenkins using YAML files - metapackage
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 Metapackage to install the Python 2 or 3 version of jenkins-job-builder.

Package: jenkins-job-builder-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Configure Jenkins using YAML files - doc
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 This package contains the documentation.

Package: python3-jenkins-job-builder
Architecture: all
Depends:
 python3-fasteners,
 python3-jenkins (>= 0.4.15),
 python3-jinja2,
 python3-pbr,
 python3-pkg-resources,
 python3-six,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: Configure Jenkins using YAML files - Python 3.x
 Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
 and uses them to configure Jenkins. You can keep your job descriptions in
 human readable text format in a version control system to make changes and
 auditing easier. It also has a flexible template system, so creating many
 similarly configured jobs is easy.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-infra/jenkins-job-builder.git
include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	rm -rf doc/build build .testrepository
	dh_clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'tests\.(?!(.*TestCaseModuleBuilders\.test_yaml_snippet.*|.*TestCaseModulePublishers\.test_yaml_snippet.*|.*builder\.test_builder\.TestCaseTestBuilder\.test_plugins_list.*|.*builder\.test_builder\.TestCaseTestBuilder\.test_plugins_list_from_jenkins.*|.*localyaml\.test_localyaml\.TestCaseLocalYamlIncludeAnchors\.test_multiple_same_anchor_in_multiple_toplevel_yaml.*))'
endif
	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/jenkins-job-builder-doc/usr/share/doc/jenkins-job-builder-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
https://tarballs.openstack.org/jenkins-job-builder/jenkins-job-builder-(\d.\d.\d).tar.gz debian

## jenkins-job-builder 2.5.0

=== debian/changelog ===
jenkins-job-builder (2.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Mattia Rizzolo ]
  * New upstream version 2.5.0.  Closes: #905917
  * Mark jenkins-job-builder-doc as Multi-Arch:foreign (from the m-a hinter).
  * Add ~ to Breaks/Replaces to cater for backports.
  * Add the upstream signing key.
  * d/watch: check the upstream gpg signature.
  * Add myself to uploaders.
  * Remove patch applied upstream.
  * Change build-dep from testrepository to python3-stestr.
  * Set Rules-Requires-Root:no.
  * Bump Standards-Version to 4.2.1.

  [ Héctor Orón Martínez ]
  * Enforce nocheck build profile in build dependencies.
    - This change cuts down dependency chain when tests are disabled, allowing
      easier backports for old stable releases.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Sep 2018 12:40:54 +0200

jenkins-job-builder (2.0.3-3) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Remove the old jenkins-jobs alternatives in preinst, to avoid a warning
    message during package upgrade.

  [ Luca Pierri ]
  * Added patch to fix spelling errors.
  * Removed nowadays wrong patch (*.py scripts  were not found).
  * Specified correct PATH and PYTHONPATH in override_dh_installman, so sphinx
    can find new built jenkins-jobs binary (Closes: #884002).
  * Added missing call to dh_installman to actually install the man page.
  * Moved the jenkins-jobs(1) manpage from -doc binary to the main
    jenkins-job-builder binary.
  * Cleaned up pointless dh overrides where we would have been following the
    dh sequence anyway.
  * Move the jenkins-jobs script into the main jenkins-job-builder binary.
  * Upgraded d/compat version to 11 as well as the dependency in d/control.
  * Removed unused bsd-2-clause from d/copyright.
  * Upgraded Standards-version in d/control.
  * Moved jenkins-job-builder package from python to misc section.

 -- Luca Pierri <lukepier95@gmail.com>  Sat, 21 Apr 2018 18:14:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: jenkins-job-builder
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Mattia Rizzolo <mattia@debian.org>,
  Paul Belanger <paul.belanger@polybeacon.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  openstack-pkg-tools (>= 75~),
  python3-all,
@@ -15,27 +16,34 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-fasteners,
- python3-fixtures,
+ python3-fixtures <!nocheck>,
  python3-jenkins (>= 0.4.15),
  python3-jinja2,
- python3-mock,
+ python3-mock <!nocheck>,
  python3-sphinxcontrib.programoutput,
+ python3-stestr <!nocheck>,
  python3-stevedore,
- python3-testscenarios,
- python3-testtools,
+ python3-testscenarios <!nocheck>,
+ python3-testtools <!nocheck>,
  python3-yaml,
- subunit,
- testrepository,
-Standards-Version: 4.1.3
+ subunit <!nocheck>,
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: http://ci.openstack.org/jenkins-job-builder
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder.git
 
 Package: jenkins-job-builder
 Architecture: all
+Section: misc
 Depends:
  python3-jenkins-job-builder (= ${binary:Version}),
  ${misc:Depends},
+ ${python3:Depends},
+Breaks:
+ python3-jenkins-job-builder (<< 2.0.3-3~),
+Replaces:
+ python3-jenkins-job-builder (<< 2.0.3-3~),
 Description: Configure Jenkins using YAML files - metapackage
  Jenkins Job Builder takes simple descriptions of Jenkins jobs in YAML format
  and uses them to configure Jenkins. You can keep your job descriptions in
@@ -47,6 +55,7 @@
 
 Package: jenkins-job-builder-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},

## jenkins-job-builder 2.9.1

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 six>=1.9.0 # MIT
-PyYAML>=3.10.0 # MIT
+PyYAML>=3.10.0,<4 # MIT
 pbr>=1.8 # Apache-2.0
 stevedore>=1.17.1 # Apache-2.0
 python-jenkins>=0.4.15

=== debian/changelog ===
jenkins-job-builder (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 10 Dec 2018 10:02:57 +0100

jenkins-job-builder (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 Dec 2018 16:36:17 +0100

jenkins-job-builder (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0.
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 07 Nov 2018 13:55:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Mattia Rizzolo <mattia@debian.org>,
  Paul Belanger <paul.belanger@polybeacon.com>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 75~),
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -20,27 +20,28 @@
 override_dh_auto_build:
 	echo "Do nothing..."
 
-override_dh_install:
-	echo "Do nothing..."
-
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
-
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2 'tests\.(?!(.*TestCaseModuleBuilders\.test_yaml_snippet.*|.*TestCaseModulePublishers\.test_yaml_snippet.*|.*builder\.test_builder\.TestCaseTestBuilder\.test_plugins_list.*|.*builder\.test_builder\.TestCaseTestBuilder\.test_plugins_list_from_jenkins.*|.*localyaml\.test_localyaml\.TestCaseLocalYamlIncludeAnchors\.test_multiple_same_anchor_in_multiple_toplevel_yaml.*))'
 endif
-	dh_install
+	mkdir $(CURDIR)/debian/jenkins-job-builder/usr
+	mv $(CURDIR)/debian/python3-jenkins-job-builder/usr/bin \
+	   $(CURDIR)/debian/jenkins-job-builder/usr/bin
+
+override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/jenkins-job-builder-doc/usr/share/doc/jenkins-job-builder-doc/html
+	PYTHONPATH=$(CURDIR) PATH=$(PATH):$(CURDIR)/debian/jenkins-job-builder/usr/bin/ PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/jenkins-job-builder-doc/usr/share/doc/jenkins-job-builder-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
 
 override_dh_installman:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
+	PYTHONPATH=$(CURDIR) PATH=$(PATH):$(CURDIR)/debian/jenkins-job-builder/usr/bin/ PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
+	dh_installman
 endif
 
 override_dh_python3:

## jenkins-job-builder 3.2.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 six>=1.9.0 # MIT
-PyYAML>=3.10.0,<4 # MIT
+PyYAML>=3.10.0,<6 # MIT
 pbr>=1.8 # Apache-2.0
 stevedore>=1.17.1 # Apache-2.0
 python-jenkins>=0.4.15

=== debian/changelog ===
jenkins-job-builder (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0.
  * Add patch to re-order some XML attributes, so they don't actually change
    position between Python 3.7 and 3.8 and therefore fix test failure.
  * Claim some copyright over debian/*.
  * Use the more standard pybuild build system instead of tools from pkg-os
    during the build.
  * Fix cleaning of the built directory.
  * Fix build the <nodoc> build profile/option (typoed as "nodocs" previously).
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Feb 2020 23:56:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,27 +7,29 @@
  Mattia Rizzolo <mattia@debian.org>,
  Paul Belanger <paul.belanger@polybeacon.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper (>= 12.8~),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 75~),
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
 Build-Depends-Indep:
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-fasteners,
  python3-fixtures <!nocheck>,
  python3-jenkins (>= 0.4.15),
  python3-jinja2,
  python3-mock <!nocheck>,
- python3-sphinxcontrib.programoutput,
+ python3-sphinx <!nodoc>,
+ python3-sphinxcontrib.programoutput <!nodoc>,
  python3-stestr <!nocheck>,
  python3-stevedore,
  python3-testscenarios <!nocheck>,
  python3-testtools <!nocheck>,
  python3-yaml,
  subunit <!nocheck>,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://ci.openstack.org/jenkins-job-builder
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/jenkins-job-builder

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-infra/jenkins-job-builder.git
-include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

PYBUILD_NAME = jenkins-job-builder
# this test fails with py 3.8 and I'm unclear how to fix it - disable for now
PYBUILD_BEFORE_TEST = rm -fv tests/publishers/fixtures/conditional-publisher002.yaml
PYBUILD_TEST_ARGS = PYTHON={interpreter} stestr run
PYBUILD_AFTER_TEST = rm -rfv .stestr/
export PYBUILD_NAME PYBUILD_BEFORE_TEST PYBUILD_TEST_ARGS PYBUILD_AFTER_TEST


%:
	dh $@ --buildsystem pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom dh_auto_test

execute_after_dh_auto_install:
	mkdir -p debian/jenkins-job-builder/usr/
	mv -v debian/python3-jenkins-job-builder/usr/bin debian/jenkins-job-builder/usr/

override_dh_missing:
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) PATH=$(PATH):$(CURDIR)/debian/jenkins-job-builder/usr/bin/ PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/jenkins-job-builder-doc/usr/share/doc/jenkins-job-builder-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) PATH=$(PATH):$(CURDIR)/debian/jenkins-job-builder/usr/bin/ PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://tarballs.openstack.org/jenkins-job-builder/jenkins-job-builder-(\d.\d.\d).tar.gz debian
